using System;

internal sealed class Delegate873 : MulticastDelegate
{
	public extern int Invoke(ref int int_0, int int_1);

	public static int smethod_0(ref int int_0, int int_1, Delegate873 delegate873_1)
	{
		return delegate873_1(ref int_0, int_1);
	}

	public extern Delegate873(object object_0, IntPtr intptr_0);

	static Delegate873()
	{
		Class10.smethod_13(typeof(Delegate873).TypeHandle);
	}

	internal static Delegate873 delegate873_0;
}
